Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1514724 - Significant ReText display regression with QT 5.9.2 (vs. 5.7.1)
Summary: Significant ReText display regression with QT 5.9.2 (vs. 5.7.1)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: retext
Version: 27
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-18 02:42 UTC by David H. Gutteridge
Modified: 2018-06-26 17:33 UTC (History)
1 user (show)

Fixed In Version: retext-7.0.3-1.fc27 retext-7.0.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-26 16:06:44 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Properly working example, with QT 5.7.1 (166.76 KB, image/png)
2017-11-18 02:48 UTC, David H. Gutteridge
no flags Details
Example issue, with QT 5.9.2 (199.86 KB, image/png)
2017-11-18 02:49 UTC, David H. Gutteridge
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github retext-project retext issues 345 0 None None None 2017-11-18 21:31:19 UTC

Description David H. Gutteridge 2017-11-18 02:42:11 UTC
Description of problem:

Since the upgrade to QT 5.9.2, ReText has begun exhibiting significant display regressions, where rows of text in a file simply aren't visible at all. (I'd tested the QT update with ReText, but unfortunately I wasn't working on a complex enough file at the time, it seems.)

Version-Release number of selected component (if applicable):
ReText 7.0.0
QT 5.9.2

How reproducible:
Always

Steps to Reproduce:
1. Upgrade F26 from QT 5.7.1 to 5.9.2.
2. Use ReText on a fairly complex document.
3. Note rows of text (and cursor) disappear.

Actual results:
As above.

Expected results:
No display glitches with missing rows.

Additional info:
A sample test case is to load the file found here:
https://raw.githubusercontent.com/rpm-software-management/dnf/master/doc/command_ref.rst

Go to line 856 in the file, and then move the cursor downwards. Note that there are rows present in the file that are not displayed.

I will attach screenshots of this test case comparing QT 5.7.1 vs 5.9.2 installations to demonstrate.

Comment 1 David H. Gutteridge 2017-11-18 02:48:48 UTC
Created attachment 1354454 [details]
Properly working example, with QT 5.7.1

Comment 2 David H. Gutteridge 2017-11-18 02:49:29 UTC
Created attachment 1354455 [details]
Example issue, with QT 5.9.2

Comment 3 David H. Gutteridge 2017-11-18 17:28:40 UTC
As expected, this is an issue with Fedora 27 as well, so changing version accordingly.

Comment 4 David H. Gutteridge 2017-11-18 21:31:20 UTC
Adding reference to upstream bug.

A workaround is to enable line numbering in the display. This regression only happens when that's not enabled. (I happen to find line numbering visual noise.)

Comment 5 David H. Gutteridge 2018-01-30 03:59:25 UTC
Still an issue with QT 5.9.4.

Comment 6 Michael DePaulo 2018-06-09 04:49:40 UTC
@dhgutteridge Thank you for working with downstream to fix this issue and making me aware within https://bodhi.fedoraproject.org/updates/FEDORA-2018-6427e00429 that 7.0.3 is out with a fix.

Unfortunately, I submitted 7.0.1-2 hours before upstream released 7.0.2 and then 7.0.3. I will submit 7.0.3-1 for f28 & f27 as soon as 7.0.1 gets pushed to them.

Right now I just pushed 7.0.3-1 it to rawhide/f29.

BTW, I did read this bug & try to reproduce it with 7.0.1 before submitting it. I 
found myself sometimes able to, and sometimes not.

Comment 7 Fedora Update System 2018-06-13 05:04:11 UTC
retext-7.0.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f26e4f40b0

Comment 8 Fedora Update System 2018-06-13 05:05:31 UTC
retext-7.0.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-411220ee98

Comment 9 Fedora Update System 2018-06-13 23:00:00 UTC
retext-7.0.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f26e4f40b0

Comment 10 Fedora Update System 2018-06-14 13:48:01 UTC
retext-7.0.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-411220ee98

Comment 11 Fedora Update System 2018-06-26 16:06:44 UTC
retext-7.0.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-06-26 17:33:04 UTC
retext-7.0.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.